# $Revision: 1.25 $, $Date: 2009/10/03 23:16:29 $
Summary:	XExt extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzeń XExt
Name:		xorg-proto-xextproto
Version:	7.1.1
Release:	1
Epoch:		1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/xextproto-%{version}.tar.bz2
# Source0-md5:	fb6ccaae76db7a35e49b12aea60ca6ff
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XExt extension headers.

%description -l pl.UTF-8
Nagłówki rozszerzeń XExt.

%package devel
Summary:	XExt extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzeń XExt
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Suggests:	xorg-lib-libXext-devel >= 1:1.1
Obsoletes:	xextensions

%description devel
XExt extension headers.

%description devel -l pl.UTF-8
Nagłówki rozszerzeń XExt.

%prep
%setup -q -n xextproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog geproto.txt
%{_includedir}/X11/extensions/*.h
%{_pkgconfigdir}/xextproto.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-proto-xextproto.spec,v $
Revision 1.25  2009/10/03 23:16:29  qboosh
- -devel S: libXext-devel >= 1.1 (some headers have been moved, so there will be missing files with older libXext-devel)

Revision 1.24  2009/09/28 22:08:27  qboosh
- util-macros version
- it seems it doesn't require inputproto any longer

Revision 1.23  2009/09/04 08:10:10  arekm
- up to 7.1.1

Revision 1.22  2009/08/31 06:50:03  amateja
- reverted

Revision 1.20  2009/08/13 21:38:27  arekm
- revert to 7.0.5; 7.1.0 is bad release (not all deps were updated && released)

Revision 1.19  2009/08/08 15:34:35  deejay1
- up to 7.1.0

Revision 1.18  2009/08/04 18:16:46  tommat
- 7.0.99.3

Revision 1.17  2009/02/03 07:31:53  qboosh
- package geproto.txt
- XExt is an extension (set)

Revision 1.16  2009/01/29 19:30:31  arekm
- up to 7.0.5

Revision 1.15  2008/12/25 12:40:35  qboosh
- updated to 7.0.4

Revision 1.14  2008/05/29 08:36:40  lkrotowski
- up to 7.0.3

Revision 1.13  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.11  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.10  2005/12/23 09:54:30  qboosh
- sources from X11R7.0 release

Revision 1.9  2005/12/20 10:42:46  qboosh
- 7.0.2 (X11R7.0-RC4)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 12:51:06  qboosh
- BR: autoconf >= 2.57

Revision 1.6  2005/10/20 10:21:34  qboosh
- 7.0.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:32:50  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.3  2005/08/27 16:12:43  qboosh
- cleanups

Revision 1.2  2005/08/17 20:22:17  qboosh
- Obsoletes: xextensions (well, almost)

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Fri Aug 12 2005 15:03:10  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added R: inputproto-devel to devel package
- release 0.03

* Wed Aug 10 2005 14:43:24  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- release 0.02

* Wed Aug  3 2005 22:41:50  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
